name: 'Lucky'
applicable: 'TOOL'
trigger: 'PLAYERBREAKBLOCK'
conditions:
  - 'BLOCK-IS COAL_ORE'
levels:
  '1':
    chance: 5
    action:
      - 'PLAYER-GIVE-ITEM GOLD_NUGGET <random_int_3_9>'
  '2':
    chance: 7
    action:
      - 'PLAYER-GIVE-ITEM GOLD_NUGGET <random_int_5_9>'
  '3':
    chance: 5
    action:
      - 'PLAYER-GIVE-ITEM GOLD_INGOT 1'